import { QueryOptions } from './query-options';
export interface AutocompleteRequest {
    /**
     * The full query string.
     */
    query: string;
    cursorPosition?: number;
    /**
     * The query timezone. If none is specified, UTC is used as fallback. The list of valid input values matches that of the IANA Time Zone Database (TZDB). It accepts values in their canonical names like 'Europe/Paris', the abbreviated version like CET or the UTC offset format like '+01:00'
     */
    timezone?: string;
    /**
     * The query locale. If none specified, then a language/country neutral locale is chosen. The input values take the ISO-639 Language code with an optional ISO-3166 country code appended to it with an underscore. For instance, both values are valid 'en' or 'en_US'.
     */
    locale?: string;
    maxDataSuggestions?: number;
    /**
     * Query options enhance query functionality for Dynatrace internal services.
     */
    queryOptions?: QueryOptions;
}
