import { AutocompleteSuggestion } from './autocomplete-suggestion';
/**
 * The response of the autocomplete call.
 */
export interface AutocompleteResponse {
    /**
     * True if the suggestions are optional.
     */
    optional: boolean;
    /**
     * The list of suggestions.
     */
    suggestions: AutocompleteSuggestion[];
    /**
     * Suggested duration in seconds, for how long the response may be cached and reused by the client. It is derived from the volatility of the suggestions on the server (if the suggestions are static, how long the server will cache the volatile suggestions, ...). If not provided, then the result may be cached for long time. Value below 1 means that the result should not be cached.
     */
    suggestedTtlSeconds?: number;
}
