import { AutocompleteSuggestionPart } from './autocomplete-suggestion-part';
/**
 * Single suggestion for completion of the query.
 */
export interface AutocompleteSuggestion {
    /**
     * List of suggestion parts.
     */
    parts: AutocompleteSuggestionPart[];
    /**
     * Number of characters that the user already typed for this suggestion.
     */
    alreadyTypedCharacters: number;
    /**
     * The suggested continuation of the query.
     */
    suggestion: string;
}
