import { DQLNode } from './dql-node';
/**
 * The DQL node that contains other nodes.
 */
export interface DQLContainerNode extends DQLNode {
    /**
     * The type of the node.
     */
    type?: 'QUERY' | 'EXECUTION_BLOCK' | 'COMMAND' | 'COMMAND_SEPARATOR' | 'PARAMETER_WITH_KEY' | 'GROUP' | 'PARAMETERS' | 'PARAMETER_NAMING' | 'PARAMETER_ASSIGNMENT' | 'PARAMETER_SEPARATOR' | 'FUNCTION' | 'FUNCTION_PART' | 'EXPRESSION' | 'IDENTIFIER' | 'SOURCE_ID' | 'DURATION' | 'TIMESTAMP' | 'TIMEFRAME' | 'TRAVERSAL_PATH' | 'TRAVERSAL_STEP';
    /**
     * The list of children nodes.
     */
    children?: DQLNode[];
}
