import { TokenPosition } from './token-position';
/**
 * General Node in the DQL query.
 */
export interface DQLNode {
    /**
     * The type of the node.
     */
    nodeType: 'TERMINAL' | 'CONTAINER' | 'ALTERNATIVE';
    /**
     * The position of a token in a query string used for errors and notification to map the message to a specific part of the query.
     */
    tokenPosition?: TokenPosition;
    /**
     * True if the node is optional.
     */
    isOptional: boolean;
}
