import { ErrorResponseDetails } from './error-response-details';
/**
 * The response for error state
 */
export interface ErrorResponse {
    /**
     * A short, clear error message without details
     */
    message: string;
    /**
     * Detailed information about the error.
     */
    details?: ErrorResponseDetails;
    /**
     * Error code, which normally matches the HTTP error code.
     */
    code: number;
}
