import { TokenPosition } from './token-position';
/**
 * The message that provides additional information about the execution of the query.
 */
export interface MetadataNotification {
    /**
     * The severity of the notification, currently: INFO, WARN, ERROR.
     */
    severity?: string;
    /**
     * The message format of the notification, string.format based
     */
    messageFormat?: string;
    /**
     * The position of a token in a query string used for errors and notification to map the message to a specific part of the query.
     */
    syntaxPosition?: TokenPosition;
    /**
     * The corresponding DQL format specifier types for each format specifier used in the error message format.
     */
    messageFormatSpecifierTypes?: string[];
    /**
     * The arguments for the message format.
     */
    arguments?: string[];
    /**
     * The notification type, e.g. LIMIT_ADDED.
     */
    notificationType?: string;
    /**
     * The complete message of the notification.
     */
    message?: string;
}
