/**
 * An object that defines additional metric metadata.
 */
export interface MetricMetadata {
    /**
     * The metric key.
     */
    'metric.key'?: string;
    /**
     * The display name of the metadata.
     */
    displayName?: string;
    /**
     * The description of the metadata.
     */
    description?: string;
    /**
     * The unit used.
     */
    unit?: string;
    /**
     * The name of the associated field used in the query.
     */
    fieldName?: string;
    /**
     * Metadata about the rollup type.
     */
    rollup?: string;
    /**
     * The specified rate normalization parameter.
     */
    rate?: string;
    /**
     * Indicates if the shifted parameter was used.
     */
    shifted?: boolean;
    /**
     * Indicates whether the scalar parameter was set to true in the timeseries aggregation function.
     */
    scalar?: boolean;
}
