import { Metadata } from './metadata';
import { RangedFieldTypes } from './ranged-field-types';
import { ResultRecord } from './result-record';
/**
 * The result of the DQL query.
 */
export interface QueryResult {
    /**
     * List of records containing the result fields data.
     */
    records: (ResultRecord | null)[];
    /**
     * Collects various bits of metadata information.
     */
    metadata: Metadata;
    /**
     * The data types for the result records.
     */
    types: RangedFieldTypes[];
}
