import { QueryResult } from './query-result';
/**
 * The response when starting a query.
 */
export interface QueryStartResponse {
    /**
     * The result of the DQL query.
     */
    result?: QueryResult;
    /**
     * Time to live in seconds.
     */
    ttlSeconds?: number;
    /**
     * The progress of the query from 0 to 100.
     */
    progress?: number;
    /**
     * The token returned by the POST query:execute call.
     */
    requestToken?: string;
    /**
     * Possible state of the query.
     */
    state: 'NOT_STARTED' | 'RUNNING' | 'SUCCEEDED' | 'RESULT_GONE' | 'CANCELLED' | 'FAILED';
}
