/// <reference types="node" />
/// <reference types="node" />
import type * as stream from 'stream';
import * as types from '../types';
export declare class Binary implements types.Binary {
    readonly data: Blob | ArrayBuffer | ReadableStream<Uint8Array>;
    static fromText(text: string): Binary;
    static fromJson(json: any): Binary;
    static from(data: Blob | ArrayBuffer | ReadableStream<Uint8Array> | Buffer | stream.Readable): Binary;
    private constructor();
    get<T extends keyof types.DataTypes>(type: T): types.DataTypes[T];
}
export declare function isBinary(body: any): body is Binary;
