import * as types from '../types';
import { Headers } from '../types';
interface HttpClientConfiguration {
    baseUrl?: string;
    defaultHeaders?: Headers;
}
export declare class HttpClient implements types.HttpClient {
    private _baseUrl;
    private _defaultHeaders;
    constructor(options?: HttpClientConfiguration);
    /**
     * Sets HTTP Client Instance baseUrl param to the incoming value `baseUrl`.
     * @param baseUrl  Base URL used in the request path.
     */
    _setBaseURL(baseUrl: string): void;
    /**
     * Sets HTTP Client Instance defaultHeaders param to the incoming value `defaultHeaders`.
     * @param defaultHeaders  HTTP Headers to be used in outgoing requests.
     */
    _setDefaultHeaders(defaultHeaders: Headers): void;
    send<T extends keyof types.RequestBodyTypes = 'json'>(options: types.HttpClientRequestOptions<T>): Promise<types.HttpClientResponse>;
}
export declare const httpClient: HttpClient;
export {};
