import * as types from '../types';
/**
 * DO NOT USE - internal use only.
 */
export interface OAuthHttpClientConfig {
    clientId: string;
    secret: string;
    scopes: string[];
    environmentUrl: string;
    authUrl: string;
}
export interface OAuthTokenResponse {
    scope: string;
    token_type: string;
    expires_in: number;
    access_token: string;
}
/**
 * DO NOT USE - internal use only.
 */
export declare class OAuthToken {
    private readonly _scope;
    private readonly _tokenType;
    private readonly _expirationDate;
    private readonly _accessToken;
    constructor(oauthTokenResponse: OAuthTokenResponse);
    get scope(): string;
    get tokenType(): string;
    isExpired(): boolean;
    get accessToken(): string;
}
/**
 * DO NOT USE - internal use only.
 */
export declare class OAuthHttpClient implements types.HttpClient {
    private readonly config;
    private oauthToken?;
    constructor(config: OAuthHttpClientConfig);
    send<T extends keyof types.RequestBodyTypes = 'json'>(options: types.HttpClientRequestOptions<T>): Promise<types.HttpClientResponse>;
    private requestToken;
}
