import { AbortSignal } from './abort-signal';
/**
 * Represents a controller object that allows to abort one or more requests as and when desired.
 */
export interface AbortController {
    /**
     * Aborts a request before it has completed.
     */
    abort(): void;
    /**
     * Returns an AbortSignal object instance, which can be used to communicate with a request.
     */
    signal: AbortSignal;
}
