/**
 * Represents a signal object that allows to communicate with the request and abort it using the `AbortController`.
 * @deprecated Will be removed from HttpClient. We encourage using native interface for AbortSignal.
 */
interface HttpClientAbortSignal extends EventTarget {
    readonly reason: any;
    throwIfAborted(): void;
    /**
     * A flag indicating whether the requests the signal is communicating with are aborted.
     */
    readonly aborted: boolean;
    /**
     * Invoked when the requests the signal is communicating with are aborted.
     */
    onabort: ((this: AbortSignal, event: Event) => void) | null;
}
export type AbortSignal = HttpClientAbortSignal | globalThis.AbortSignal;
export {};
