/// <reference types="node" />
/// <reference types="node" />
import type * as stream from 'stream';
/**
 * Mapping between the data type names and types.
 */
export type DataTypes = {
    /**
     * A text type.
     */
    text: Promise<string>;
    /**
     * A JSON type.
     */
    json: Promise<any>;
    /**
     * An ArrayBuffer type.
     */
    'array-buffer': Promise<ArrayBuffer>;
    /**
     * A Blob type. Browser only.
     */
    blob: Promise<Blob>;
    /**
     * A ReadableStream type. Browser only.
     */
    'readable-stream': ReadableStream<Uint8Array>;
    /**
     * A Buffer type. Node only.
     */
    buffer: Promise<Buffer>;
    /**
     * A Stream type. Node only.
     */
    stream: stream.Readable;
};
