import { BaseError } from './base-error';
/**
 * Represents a situation when the request is invalid and cannot be sent.
 */
export interface HttpClientRequestError extends BaseError {
    /**
     * The error name.
     */
    readonly name: 'RequestError';
    /**
     * The error root cause.
     */
    readonly cause?: any;
}
export declare function isHttpClientRequestError(e: any): e is HttpClientRequestError;
