import { HttpClientResponse } from './http-client-response';
import { BaseError } from './base-error';
/**
 * Represents a situation when the response status is considered invalid by the status validator.
 */
export interface HttpClientResponseError extends BaseError {
    /**
     * The error name.
     */
    readonly name: 'ResponseError';
    /**
     * The error root cause.
     */
    readonly cause?: any;
    /**
     * The response.
     */
    readonly response: HttpClientResponse;
}
export declare function isHttpClientResponseError(e: any): e is HttpClientResponseError;
