/// <reference types="node" />
/// <reference types="node" />
import { FormDataRequestBody } from './form-data-request-body';
import type * as stream from 'stream';
import { Binary } from './binary';
/**
 * Mapping between the request body type names and types.
 */
export type RequestBodyTypes = {
    /**
     * A text request body type.
     */
    text: string;
    /**
     * A JSON request body type.
     */
    json: any;
    /**
     * A multipart/form-data request body type.
     */
    'form-data': FormDataRequestBody;
    /**
     * A binary request body type.
     */
    binary: Binary | ArrayBuffer | Blob | ReadableStream | Buffer | stream.Readable;
};
