import { GlobalErrorSerializer } from './types/global-error-serializer';
/**
 * Registers a global error serializer for handling uncatched errors.
 *
 * @param {GlobalErrorSerializer} serializer Asynchronous function which serializes error if it match the condition
 */
export declare function addGlobalErrorSerializer(serializer: GlobalErrorSerializer): void;
/**
 * Checks if global error serializer is supported.
 *
 * @return {boolean} information if global error serializer is supported on current environment.
 */
export declare function isGlobalErrorSerializerSupported(): boolean;
