import { SerializedError } from './serialized-error';
/**
 * Custom error serializing function.
 * Should check the received error and, when the error matches, return a serialized error with the specified error type.
 * Otherwise, nothing should be returned so that the error can be handled further.
 *
 * @param {any} error Error to be serialized
 * @returns {TypedError | undefined} Serialized error or nothing
 */
export type GlobalErrorSerializer = (error: any) => Promise<SerializedError | undefined>;
